# Config

copy the .dist file to `inc_config.sh`.

```shell
# ======================================================================
#
# IML BACKUP STORAGE HELPER :: CONFIG
#
# ======================================================================

    # max count of simultanous connections; 0 is unlimited
    typeset -i iMaxConnections=10
    typeset -i iConnections
    sSelfdir="$( dirname $0 )"

    # directory with backup data
    #   sublevel 1 is a name of backup tool
    #   sublevel 2 is a fqdn of a backed up server
    #   i.e. /netshare/restic-backup/server.example.com

    sBackupBasedir="/netshare"
    # where to store current connections
    # sConncectionDir="${sBackupBasedir}/_active"
    sConncectionDir="${sSelfdir}/_active_connections"

    # where to store last backup status
    sStatusDir="${sSelfdir}/_last_backup"

    # log
    sLogdir="${sSelfdir}/log"
    sLogfile="$sLogdir/connections.log"

# ----------------------------------------------------------------------
```

You MUST verify:

* `BackupBasedir="/netshare"` - the target dir for backups

You optionally CAN change

* `typeset -i iMaxConnections=10` - the count of allowed parrallel backup connections (backup clients will wait until they get a free slot)
* `sLogdir="${sSelfdir}/log"` - to write sone small logs somewhere else